org.jbpm.kie.services.impl.cmd

## Class StartProcessInstanceWithParentCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.cmd.StartProcessInstanceWithParentCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<org.kie.api.runtime.process.ProcessInstance>, org.kie.api.command.Command<org.kie.api.runtime.process.ProcessInstance>

      public class StartProcessInstanceWithParentCommand
      extends Object
      implements org.drools.core.command.impl.GenericCommand<org.kie.api.runtime.process.ProcessInstance>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessInstanceWithParentCommand()`
    `StartProcessInstanceWithParentCommand(Long processInstanceId, Long parentProcessInstanceId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.process.ProcessInstance` | `execute(org.kie.internal.command.Context context)`
    `Long` | `getParentProcessInstanceId()`
    `Long` | `getProcessInstanceId()`
    `void` | `setParentProcessInstanceId(Long parentProcessInstanceId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartProcessInstanceWithParentCommand

          public StartProcessInstanceWithParentCommand()

    - #### StartProcessInstanceWithParentCommand

          public StartProcessInstanceWithParentCommand(Long processInstanceId,
                                               Long parentProcessInstanceId)

  - ### Method Detail

    - #### execute

          public org.kie.api.runtime.process.ProcessInstance execute(org.kie.internal.command.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<org.kie.api.runtime.process.ProcessInstance>`

    - #### getParentProcessInstanceId

          public Long getParentProcessInstanceId()

    - #### setParentProcessInstanceId

          public void setParentProcessInstanceId(Long parentProcessInstanceId)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.